summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMarc Cornellà <hello@mcornella.com>2021-12-31 20:45:12 +0100
committerMarc Cornellà <hello@mcornella.com>2021-12-31 20:45:12 +0100
commit78c91ccbf99c77bd4d9cdb74279a40776721f66d (patch)
treec09e1accea6dd079061c9736218843c7d92f6036
parent9c01dbc30bdfedebb986190309106d01d49f9851 (diff)
downloadzsh-78c91ccbf99c77bd4d9cdb74279a40776721f66d.tar.gz
zsh-78c91ccbf99c77bd4d9cdb74279a40776721f66d.tar.bz2
zsh-78c91ccbf99c77bd4d9cdb74279a40776721f66d.zip
style(python): fix code style and some hidden bugs
-rw-r--r--plugins/python/python.plugin.zsh53
1 files changed, 25 insertions, 28 deletions
diff --git a/plugins/python/python.plugin.zsh b/plugins/python/python.plugin.zsh
index 6c7fc6cbb..7a73ab92a 100644
--- a/plugins/python/python.plugin.zsh
+++ b/plugins/python/python.plugin.zsh
@@ -7,40 +7,37 @@ alias pyfind='find . -name "*.py"'
# Remove python compiled byte-code and mypy/pytest cache in either the current
# directory or in a list of specified directories (including sub directories).
function pyclean() {
- ZSH_PYCLEAN_PLACES=${*:-'.'}
- find ${ZSH_PYCLEAN_PLACES} -type f -name "*.py[co]" -delete
- find ${ZSH_PYCLEAN_PLACES} -type d -name "__pycache__" -delete
- find ${ZSH_PYCLEAN_PLACES} -depth -type d -name ".mypy_cache" -exec rm -r "{}" +
- find ${ZSH_PYCLEAN_PLACES} -depth -type d -name ".pytest_cache" -exec rm -r "{}" +
+ find "${@:-.}" -type f -name "*.py[co]" -delete
+ find "${@:-.}" -type d -name "__pycache__" -delete
+ find "${@:-.}" -depth -type d -name ".mypy_cache" -exec rm -r "{}" +
+ find "${@:-.}" -depth -type d -name ".pytest_cache" -exec rm -r "{}" +
}
# Add the user installed site-packages paths to PYTHONPATH, only if the
# directory exists. Also preserve the current PYTHONPATH value.
# Feel free to autorun this when .zshrc loads.
function pyuserpaths() {
- local targets=("python2" "python3") # bins
-
- # Get existing interpreters.
- local interps=()
- for target in $targets; do
- [ `command -v $target` ] && interps+=($target)
- done
-
- # Check for a non-standard install directory.
- local user_base="${HOME}/.local"
- [ $PYTHONUSERBASE ] && user_base=$PYTHONUSERBASE
-
- # Add version specific paths, if:
- # it exists in the filesystem;
- # it isn't in PYTHONPATH already.
- for interp in $interps; do
- # Get minor release version.
- local ver=`$interp -V 2>&1`
- ver=`echo ${ver:7} | cut -d '.' -f 1,2` # The patch version is variable length, truncate it.
-
- local site_pkgs="${user_base}/lib/python${ver}/site-packages"
- [[ -d $site_pkgs && ! $PYTHONPATH =~ $site_pkgs ]] && export PYTHONPATH=${site_pkgs}:$PYTHONPATH
- done
+ setopt localoptions extendedglob
+
+ # Check for a non-standard install directory.
+ local user_base="${PYTHONUSERBASE:-"${HOME}/.local"}"
+
+ local python version site_pkgs
+ for python in python2 python3; do
+ # Check if command exists
+ (( ${+commands[$python]} )) || continue
+
+ # Get minor release version.
+ # The patch version is variable length, truncate it.
+ version=${(M)${"$($python -V 2>&1)":7}#[^.]##.[^.]##}
+
+ # Add version specific path, if:
+ # - it exists in the filesystem
+ # - it isn't in $PYTHONPATH already.
+ site_pkgs="${user_base}/lib/python${version}/site-packages"
+ [[ -d "$site_pkgs" && ! "$PYTHONPATH" =~ (^|:)"$site_pkgs"(:|$) ]] || continue
+ export PYTHONPATH="${site_pkgs}${PYTHONPATH+":${PYTHONPATH}"}"
+ done
}
# Grep among .py files